<script setup lang="ts">
import { onLaunch } from '@dcloudio/uni-app'
import { useAuthStore } from './store/auth'

const authStore = useAuthStore();

onLaunch(() => {
  console.log('App Launch');

  uni.loadFontFace({
    global: true,
    family: "SongtiSCBlack",
    source: 'url("https://mn.wenlvti.net/assets/fonts/STSongti-SC-Black.woff")',
  })

  authStore.loadLoginState();
})
</script>

<style lang="scss">
@use "@/common/scss/fonts.scss" as *;
@use "@/common/scss/common.scss" as *;
@use "@/common/scss/global/base.scss" as *;
@import "@/uni_modules/uview-plus/index.scss";
</style>

